## miniature 0.4.0-1fremantle2

=== debian/changelog ===
miniature (0.4.0-1fremantle2) lucid; urgency=low

  * Add Maemo5 support.

 -- Michael Hasselmann <michael@taschenorakel.de>  Fri, 14 Oct 2011 03:46:02 +0200

## miniature 0.4.0-1fremantle3

=== debian/changelog ===
miniature (0.4.0-1fremantle3) lucid; urgency=low

  * Add Maemo5 support.

 -- Michael Hasselmann <michael@taschenorakel.de>  Fri, 14 Oct 2011 03:46:02 +0200

## miniature 0.4.0-1fremantle4

=== debian/changelog ===
miniature (0.4.0-1fremantle4) lucid; urgency=low

  * Add Maemo5 support.

 -- Michael Hasselmann <michael@taschenorakel.de>  Fri, 14 Oct 2011 03:46:02 +0200

=== debian/control ===
Source: miniature
Section: games
Priority: optional
Maintainer: Michael Hasselmann <michael@taschenorakel.de>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: miniature
Section: user/games
Architecture: any
Depends: ${misc:Depends}, libc6 (>= 2.4), libgcc1 (>= 1:4.1.1), libqtcore4 (>= 4.7) | libqt4-core (>= 4.7), libqt4-network (>= 4.7), libqtgui4 (>= 4.7) | libqt4-gui (>= 4.7), libstdc++6 (>=4.2), qt-components
Description: A chess board to play and learn wherever you go.
 .
  * The main use case is playing online against other players at
    http://freechess.org (FICS)
  * Now imagine that you can also chat with the other player.
  * Learning is important: watch games live, review stored games and also
    process offline the lessons offered at FICS.
  * Play P2P games against other players next to you or in your Contacts.
  * And not only regular chess. See also Antichess, Chess960...
 .
 Miniature is based on Qt and targets MeeGo as primary platform.
XSBC-Maemo-Display-Name: Miniature
XB-Maemo-Display-Name: Miniature
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAVFgAAFRYBDHmQBwAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAd+SURBVGiBvZp7bFtXHce/5xzHju2kefa1
 bm1pSauWtkOw0YD4B5jkISFkgfcPUsVzCNGKsUdRpKKMso2qYlPFQ4ynJrQJ
 JIhKAGlS/kBCYjAVARkVa5KmeTS248Tx29ePe8+LP2wncWMn6c1NftKRj3zP
 Ob/f59zfOed3fjbRWsNJuXhpsBMEgy7G+gmlp5WURAh5kwtxg3P+wk+uvZxy
 Uh9xEmBg8DtBj8f9c0bZbssyVS6bpUJItHq9irW0UMviS2Wz/OTPfnDtj07p
 dAxg8MWXAi5Xy5vcMhGemab5XBacCwjBwTmHx+vDwSN9irlcEFJ+4tVrL//V
 Cb2OAAwMXvZ7PO4JrdT+iXdvUikEpFRV4wU4r0BoaJx8+AOKUBb2+/wnX7ny
 QnGruumWrQfgcrHzjNIDkbszVAoBANBaQSkFpSSUUtBagVsWJsdvUQ19KJ3J
 fNUJ3Y4AgJCzWmudz2YAAEopSKmglK6WGoxGJpmA5EJRSh51QrXLiUEoIaeL
 xQJq7qiUrr6BldmvQUipkEoliSnUCUd0OzEIIcSitDKU1nrZ8PpSeRPFYhEL
 i3EIIQpO6HbGhYDJ1lYvCKHV2dd1Rq8ukWgUvrZ2DeBdJxQ7AsCFeIMQQnr2
 7Fkz+6vdJ5fLYfe+B8AYowCGndDtCACjtIVQwnt2720y+5V6MpnEoaN9ACCc
 0As4ADAwePmKy+X6jVkqs6nb4w18v1Ly+TxyuRxGb/wdhXyOAHgzEAwNbFX/
 lg6yb3/3xXNut/vX2XSKzE1PwTTLEKJ2cK2cwpZlYWxsHKZpAgAYYzjzyFns
 3rcfAIIjw0O2Qwvbb+DipcH3MsZeNUslHZ6ZghB8ldvUu08sFls2HgCklLj5
 73/CyOeU1vr1QDB0cMcBPB7385RS3+zUJG3mNkoplEolxONLa/pLIfDOjX9Q
 AH4A39xRgAvPXGxjjH0ml0kTs1xanunVO87ythmJoJmbFgsFLETDVGv9ZCAY
 atsxAJ/P+wSj1JdcigNAwwNLa4VCoYhsNrvuWNG7syCEtAH4pB1bbAFQyk4A
 QKlYXLVtri2p1MZ3l3wuV6setWWLnU6EkqNKay0FX9d9MpnMhmNxy4TgXAJ4
 jx1bbAEopaiuOnajma/BlMvlTY4nNWwGlrYASqXyNKOUajT2f6UUON/cYUsI
 QYvbwwCE7dhiCyBvGDcBwOv1NfV/KTcH0NHVDUIIATBlxxZbAIZR+INUknd0
 9TSMOJXSIGRzQz9w8BAAWAD+bMcWWwC/f/21XLFU+ktnb6/2+f11C7h2kdFa
 o3ZHaCad3T04cPCwBnB9ZHho4xXvFAAAJBLpL3HO04f7jivmct0TRlTqjLGm
 /d0eDx7+UL8EsADgKbt22AZ47ac/jkHrJxhj6sixExqoAazcB5oBEELw/kf7
 tdvtkYSQT48MD8V3HAAAjvf1veVyuf7m9fvJg4ePLLuS1iulYb9TZ9DZ00sI
 IX8CMLoVG2wDXHj2W4+PT06OmRb/WD6bUwvR6LL7VDISCpbFG/aN3J1FOpnQ
 AEJa69FAMPRRu3bYug88dXHgl15v65dN01Szd27Thfl5cM7rElnxeHzDOGjf
 gYdw/NQZ6WltZQBeGRkeem7bAS5fufoj07IuxGPzmJm8DdM01xifTqewuLg5
 t2bMhWOnTuOhw0cA4NLI8ND37see+3KhgecvPy2EOJ9JJjB7Z7J6iVnJ99TS
 Jo3i/2YipcDYf0exEAkDwEuBYOjz2wJw/pnngi0u1/eNfA7TtyfqdpvagjVN
 E9FotGn8v578b/RftXXxq0Aw9LijAOe+8rVTHbt2/dY0TTo5douIavJ29Sks
 hEQ4HIaU8r6NByox1Ts33iYFI0+01tcDwdD7HAM4+OCBX7gY80yN3yLcMpdn
 vPYWpFSYm5uru/faEc4t/Oftt6iUwg3gh44AfP3pZ4Nuj7s/FgmTUrFwT+RZ
 uQfEYjEYhrEl42tSKhYxPTHOAHw8EAx9assALS3uq5ZpqsXY/Jp9XikFwyhg
 aWnzi3YzMjd9B+VSSWqtr27Udl2A0LkvfLCzY9exxfkIlVJUg7QV95Gy4vdO
 i1IKM5MTjBByMhAM9a/Xdl2A/Xv3fIMAOrm0dM/sV+qJRAKlUslZ66uyEAlD
 KaUAfHG9dk0BAsGQ2+/zfzadShLOLdTn+iv1eNx2DLahcG4hHotSrfXnAsGQ
 r1m7pgAnjh97zOtt9aeWlhpeWNLp9JZ3nY0kFgnXUi4fbtamKUB7W9tjWmsY
 Rq4uxq+VRMLZhdtIMitpmbPN2qyzBvQjpmkqyzSx9qciCcNw5AeWdYVbJkrF
 ooQdAK31GSOXpY2StYVCEZX1tf2SSSWY1vojzZ43BPjd9WEvY6yjvJz3rC+G
 kd8+i++RomGAENLbbCE3BJiend2vtAa3rDXJqspFxdpeq1cJX9HV1eh5Q4BM
 JturlQK3+Br3qX3ulFh8fYCG6TzLsnoYa0V7RycIYxBCVIuEEAItXj+69+Ya
 dXVcfP7lrHtno+cNAaRSXUpr7Orqgr+9HUIqSFkxXkoJt68N3cUt/83hfqW7
 0Zf/B0y6DUPWuArsAAAAAElFTkSuQmCC

## miniature 0.4.0-1fremantle5

=== tests/Makefile ===
#############################################################################
# Makefile for building: tests
# Generated by qmake (2.01a) (Qt 4.7.4) on: Fri Oct 14 04:01:26 2011
# Project:  tests.pro
# Template: subdirs
# Command: /usr/bin/qmake PREFIX=/opt CONFIG+=enable-gui -o Makefile tests.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-testgame \
		sub-testgnuchess \
		sub-testfics \
		sub-testlocalparser \
		sub-testposition

testgame/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) testgame/ || $(MKDIR) testgame/ 
	cd testgame/ && $(QMAKE) /home/michael/miniature/tests/testgame/testgame.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testgame-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) testgame/ || $(MKDIR) testgame/ 
	cd testgame/ && $(QMAKE) /home/michael/miniature/tests/testgame/testgame.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testgame: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE)
sub-testgame-make_default-ordered: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) 
sub-testgame-make_default: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) 
sub-testgame-make_first-ordered: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) first
sub-testgame-make_first: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) first
sub-testgame-all-ordered: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) all
sub-testgame-all: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) all
sub-testgame-clean-ordered: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) clean
sub-testgame-clean: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) clean
sub-testgame-distclean-ordered: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) distclean
sub-testgame-distclean: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) distclean
sub-testgame-install_subtargets-ordered: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) install
sub-testgame-install_subtargets: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) install
sub-testgame-uninstall_subtargets-ordered: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-testgame-uninstall_subtargets: testgame/$(MAKEFILE) FORCE
	cd testgame/ && $(MAKE) -f $(MAKEFILE) uninstall
testgnuchess/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) testgnuchess/ || $(MKDIR) testgnuchess/ 
	cd testgnuchess/ && $(QMAKE) /home/michael/miniature/tests/testgnuchess/testgnuchess.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testgnuchess-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) testgnuchess/ || $(MKDIR) testgnuchess/ 
	cd testgnuchess/ && $(QMAKE) /home/michael/miniature/tests/testgnuchess/testgnuchess.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testgnuchess: testgnuchess/$(MAKEFILE) FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE)
sub-testgnuchess-make_default-ordered: testgnuchess/$(MAKEFILE) sub-testgame-make_default-ordered  FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) 
sub-testgnuchess-make_default: testgnuchess/$(MAKEFILE) FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) 
sub-testgnuchess-make_first-ordered: testgnuchess/$(MAKEFILE) sub-testgame-make_first-ordered  FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) first
sub-testgnuchess-make_first: testgnuchess/$(MAKEFILE) FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) first
sub-testgnuchess-all-ordered: testgnuchess/$(MAKEFILE) sub-testgame-all-ordered  FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) all
sub-testgnuchess-all: testgnuchess/$(MAKEFILE) FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) all
sub-testgnuchess-clean-ordered: testgnuchess/$(MAKEFILE) sub-testgame-clean-ordered  FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) clean
sub-testgnuchess-clean: testgnuchess/$(MAKEFILE) FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) clean
sub-testgnuchess-distclean-ordered: testgnuchess/$(MAKEFILE) sub-testgame-distclean-ordered  FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) distclean
sub-testgnuchess-distclean: testgnuchess/$(MAKEFILE) FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) distclean
sub-testgnuchess-install_subtargets-ordered: testgnuchess/$(MAKEFILE) sub-testgame-install_subtargets-ordered  FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) install
sub-testgnuchess-install_subtargets: testgnuchess/$(MAKEFILE) FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) install
sub-testgnuchess-uninstall_subtargets-ordered: testgnuchess/$(MAKEFILE) sub-testgame-uninstall_subtargets-ordered  FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-testgnuchess-uninstall_subtargets: testgnuchess/$(MAKEFILE) FORCE
	cd testgnuchess/ && $(MAKE) -f $(MAKEFILE) uninstall
testfics/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) testfics/ || $(MKDIR) testfics/ 
	cd testfics/ && $(QMAKE) /home/michael/miniature/tests/testfics/testfics.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testfics-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) testfics/ || $(MKDIR) testfics/ 
	cd testfics/ && $(QMAKE) /home/michael/miniature/tests/testfics/testfics.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testfics: testfics/$(MAKEFILE) FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE)
sub-testfics-make_default-ordered: testfics/$(MAKEFILE) sub-testgnuchess-make_default-ordered  FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) 
sub-testfics-make_default: testfics/$(MAKEFILE) FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) 
sub-testfics-make_first-ordered: testfics/$(MAKEFILE) sub-testgnuchess-make_first-ordered  FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) first
sub-testfics-make_first: testfics/$(MAKEFILE) FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) first
sub-testfics-all-ordered: testfics/$(MAKEFILE) sub-testgnuchess-all-ordered  FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) all
sub-testfics-all: testfics/$(MAKEFILE) FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) all
sub-testfics-clean-ordered: testfics/$(MAKEFILE) sub-testgnuchess-clean-ordered  FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) clean
sub-testfics-clean: testfics/$(MAKEFILE) FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) clean
sub-testfics-distclean-ordered: testfics/$(MAKEFILE) sub-testgnuchess-distclean-ordered  FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) distclean
sub-testfics-distclean: testfics/$(MAKEFILE) FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) distclean
sub-testfics-install_subtargets-ordered: testfics/$(MAKEFILE) sub-testgnuchess-install_subtargets-ordered  FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) install
sub-testfics-install_subtargets: testfics/$(MAKEFILE) FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) install
sub-testfics-uninstall_subtargets-ordered: testfics/$(MAKEFILE) sub-testgnuchess-uninstall_subtargets-ordered  FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-testfics-uninstall_subtargets: testfics/$(MAKEFILE) FORCE
	cd testfics/ && $(MAKE) -f $(MAKEFILE) uninstall
testlocalparser/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) testlocalparser/ || $(MKDIR) testlocalparser/ 
	cd testlocalparser/ && $(QMAKE) /home/michael/miniature/tests/testlocalparser/testlocalparser.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testlocalparser-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) testlocalparser/ || $(MKDIR) testlocalparser/ 
	cd testlocalparser/ && $(QMAKE) /home/michael/miniature/tests/testlocalparser/testlocalparser.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testlocalparser: testlocalparser/$(MAKEFILE) FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE)
sub-testlocalparser-make_default-ordered: testlocalparser/$(MAKEFILE) sub-testfics-make_default-ordered  FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) 
sub-testlocalparser-make_default: testlocalparser/$(MAKEFILE) FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) 
sub-testlocalparser-make_first-ordered: testlocalparser/$(MAKEFILE) sub-testfics-make_first-ordered  FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) first
sub-testlocalparser-make_first: testlocalparser/$(MAKEFILE) FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) first
sub-testlocalparser-all-ordered: testlocalparser/$(MAKEFILE) sub-testfics-all-ordered  FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) all
sub-testlocalparser-all: testlocalparser/$(MAKEFILE) FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) all
sub-testlocalparser-clean-ordered: testlocalparser/$(MAKEFILE) sub-testfics-clean-ordered  FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) clean
sub-testlocalparser-clean: testlocalparser/$(MAKEFILE) FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) clean
sub-testlocalparser-distclean-ordered: testlocalparser/$(MAKEFILE) sub-testfics-distclean-ordered  FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) distclean
sub-testlocalparser-distclean: testlocalparser/$(MAKEFILE) FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) distclean
sub-testlocalparser-install_subtargets-ordered: testlocalparser/$(MAKEFILE) sub-testfics-install_subtargets-ordered  FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) install
sub-testlocalparser-install_subtargets: testlocalparser/$(MAKEFILE) FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) install
sub-testlocalparser-uninstall_subtargets-ordered: testlocalparser/$(MAKEFILE) sub-testfics-uninstall_subtargets-ordered  FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-testlocalparser-uninstall_subtargets: testlocalparser/$(MAKEFILE) FORCE
	cd testlocalparser/ && $(MAKE) -f $(MAKEFILE) uninstall
testposition/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) testposition/ || $(MKDIR) testposition/ 
	cd testposition/ && $(QMAKE) /home/michael/miniature/tests/testposition/testposition.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testposition-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) testposition/ || $(MKDIR) testposition/ 
	cd testposition/ && $(QMAKE) /home/michael/miniature/tests/testposition/testposition.pro PREFIX=/opt CONFIG+=enable-gui -o $(MAKEFILE)
sub-testposition: testposition/$(MAKEFILE) FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE)
sub-testposition-make_default-ordered: testposition/$(MAKEFILE) sub-testlocalparser-make_default-ordered  FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) 
sub-testposition-make_default: testposition/$(MAKEFILE) FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) 
sub-testposition-make_first-ordered: testposition/$(MAKEFILE) sub-testlocalparser-make_first-ordered  FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) first
sub-testposition-make_first: testposition/$(MAKEFILE) FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) first
sub-testposition-all-ordered: testposition/$(MAKEFILE) sub-testlocalparser-all-ordered  FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) all
sub-testposition-all: testposition/$(MAKEFILE) FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) all
sub-testposition-clean-ordered: testposition/$(MAKEFILE) sub-testlocalparser-clean-ordered  FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) clean
sub-testposition-clean: testposition/$(MAKEFILE) FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) clean
sub-testposition-distclean-ordered: testposition/$(MAKEFILE) sub-testlocalparser-distclean-ordered  FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) distclean
sub-testposition-distclean: testposition/$(MAKEFILE) FORCE
	cd testposition/ && $(MAKE) -f $(MAKEFILE) distclean

=== tests/testgnuchess/Makefile ===
#############################################################################
# Makefile for building: testgnuchess
# Generated by qmake (2.01a) (Qt 4.7.4) on: Fri Oct 14 04:01:39 2011
# Project:  testgnuchess.pro
# Template: app
# Command: /usr/bin/qmake PREFIX=/opt CONFIG+=enable-gui -o Makefile testgnuchess.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMINIATURE_GUI_ENABLED -DMINIATURE_LIB_PATH=\"/home/michael/miniature/tests/testgnuchess/../../game\" -DMINIATURE_BIN=\"/home/michael/miniature/tests/testgnuchess/../../src/miniature\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo -I. -I/targets/10-armv7/usr/include/qt4/QtCore -I/targets/10-armv7/usr/include/qt4/QtGui -I/targets/10-armv7/usr/include/qt4 -I/targets/10-armv7/usr/include/qt4/QtTest -I../../game -I.. -I.moc
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../game -lminiature-game -lQtTest -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = testgnuchess.cc 
OBJECTS       = .obj/testgnuchess.o
DIST          = /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		testgnuchess.pro
QMAKE_TARGET  = testgnuchess
DESTDIR       = 
TARGET        = testgnuchess

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: testgnuchess.pro  /targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo/qmake.conf /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testgnuchess.pro
/targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf:
../../config.pri:
../config.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testgnuchess.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/testgnuchess1.0.0 || $(MKDIR) .obj/testgnuchess1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/testgnuchess1.0.0/ && $(COPY_FILE) --parents ../testutils.h .obj/testgnuchess1.0.0/ && $(COPY_FILE) --parents testgnuchess.cc .obj/testgnuchess1.0.0/ && (cd `dirname .obj/testgnuchess1.0.0` && $(TAR) testgnuchess1.0.0.tar testgnuchess1.0.0 && $(COMPRESS) testgnuchess1.0.0.tar) && $(MOVE) `dirname .obj/testgnuchess1.0.0`/testgnuchess1.0.0.tar.gz . && $(DEL_FILE) -r .obj/testgnuchess1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: .moc/testgnuchess.moc
compiler_moc_source_clean:
	-$(DEL_FILE) .moc/testgnuchess.moc
.moc/testgnuchess.moc: testgnuchess.cc
	/usr/bin/moc $(DEFINES) $(INCPATH) testgnuchess.cc -o .moc/testgnuchess.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_source_clean 

####### Compile

.obj/testgnuchess.o: testgnuchess.cc .moc/testgnuchess.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/testgnuchess.o testgnuchess.cc

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== tests/testlocalparser/Makefile ===
#############################################################################
# Makefile for building: testlocalparser
# Generated by qmake (2.01a) (Qt 4.7.4) on: Fri Oct 14 04:02:03 2011
# Project:  testlocalparser.pro
# Template: app
# Command: /usr/bin/qmake PREFIX=/opt CONFIG+=enable-gui -o Makefile testlocalparser.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMINIATURE_GUI_ENABLED -DMINIATURE_LIB_PATH=\"/home/michael/miniature/tests/testlocalparser/../../game\" -DMINIATURE_BIN=\"/home/michael/miniature/tests/testlocalparser/../../src/miniature\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo -I. -I/targets/10-armv7/usr/include/qt4/QtCore -I/targets/10-armv7/usr/include/qt4/QtGui -I/targets/10-armv7/usr/include/qt4 -I/targets/10-armv7/usr/include/qt4/QtTest -I../../game -I.. -I.moc
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../game -lminiature-game -lQtTest -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = testlocalparser.cc 
OBJECTS       = .obj/testlocalparser.o
DIST          = /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		testlocalparser.pro
QMAKE_TARGET  = testlocalparser
DESTDIR       = 
TARGET        = testlocalparser

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: testlocalparser.pro  /targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo/qmake.conf /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testlocalparser.pro
/targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf:
../../config.pri:
../config.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testlocalparser.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/testlocalparser1.0.0 || $(MKDIR) .obj/testlocalparser1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/testlocalparser1.0.0/ && $(COPY_FILE) --parents ../testutils.h .obj/testlocalparser1.0.0/ && $(COPY_FILE) --parents testlocalparser.cc .obj/testlocalparser1.0.0/ && (cd `dirname .obj/testlocalparser1.0.0` && $(TAR) testlocalparser1.0.0.tar testlocalparser1.0.0 && $(COMPRESS) testlocalparser1.0.0.tar) && $(MOVE) `dirname .obj/testlocalparser1.0.0`/testlocalparser1.0.0.tar.gz . && $(DEL_FILE) -r .obj/testlocalparser1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: .moc/testlocalparser.moc
compiler_moc_source_clean:
	-$(DEL_FILE) .moc/testlocalparser.moc
.moc/testlocalparser.moc: testlocalparser.cc
	/usr/bin/moc $(DEFINES) $(INCPATH) testlocalparser.cc -o .moc/testlocalparser.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_source_clean 

####### Compile

.obj/testlocalparser.o: testlocalparser.cc .moc/testlocalparser.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/testlocalparser.o testlocalparser.cc

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== tests/testposition/Makefile ===
#############################################################################
# Makefile for building: testposition
# Generated by qmake (2.01a) (Qt 4.7.4) on: Fri Oct 14 04:02:13 2011
# Project:  testposition.pro
# Template: app
# Command: /usr/bin/qmake PREFIX=/opt CONFIG+=enable-gui -o Makefile testposition.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMINIATURE_GUI_ENABLED -DMINIATURE_LIB_PATH=\"/home/michael/miniature/tests/testposition/../../game\" -DMINIATURE_BIN=\"/home/michael/miniature/tests/testposition/../../src/miniature\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo -I. -I/targets/10-armv7/usr/include/qt4/QtCore -I/targets/10-armv7/usr/include/qt4/QtGui -I/targets/10-armv7/usr/include/qt4 -I/targets/10-armv7/usr/include/qt4/QtTest -I../../game -I.. -I.moc
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../game -lminiature-game -lQtTest -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = testposition.cc 
OBJECTS       = .obj/testposition.o
DIST          = /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		testposition.pro
QMAKE_TARGET  = testposition
DESTDIR       = 
TARGET        = testposition

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: testposition.pro  /targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo/qmake.conf /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testposition.pro
/targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf:
../../config.pri:
../config.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testposition.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/testposition1.0.0 || $(MKDIR) .obj/testposition1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/testposition1.0.0/ && $(COPY_FILE) --parents ../testutils.h .obj/testposition1.0.0/ && $(COPY_FILE) --parents testposition.cc .obj/testposition1.0.0/ && (cd `dirname .obj/testposition1.0.0` && $(TAR) testposition1.0.0.tar testposition1.0.0 && $(COMPRESS) testposition1.0.0.tar) && $(MOVE) `dirname .obj/testposition1.0.0`/testposition1.0.0.tar.gz . && $(DEL_FILE) -r .obj/testposition1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: .moc/testposition.moc
compiler_moc_source_clean:
	-$(DEL_FILE) .moc/testposition.moc
.moc/testposition.moc: testposition.cc
	/usr/bin/moc $(DEFINES) $(INCPATH) testposition.cc -o .moc/testposition.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_source_clean 

####### Compile

.obj/testposition.o: testposition.cc .moc/testposition.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/testposition.o testposition.cc

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
miniature (0.4.0-1fremantle5) lucid; urgency=low

  * Add Maemo5 support.

 -- Michael Hasselmann <michael@taschenorakel.de>  Fri, 14 Oct 2011 03:46:02 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake PREFIX=/usr CONFIG+=enable-gui $(QMAKE_OPTIONS)

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	make $(PARALLEL_MAKEFLAGS)

	touch $@

clean: 
	dh_testdir
	dh_testroot

	rm -f build-stamp configure-stamp

	make  $(PARALLEL_MAKEFLAGS) clean || true
	rm -f lib/*
	rm -rf .obj

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/miniature.
	INSTALL_ROOT="$(CURDIR)"/debian/tmp $(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
#	dh_builddeb --destdir=$(DEBDIR)
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## miniature 0.4.0-1fremantle6

=== debian/changelog ===
miniature (0.4.0-1fremantle6) unstable; urgency=low

  * Add Maemo5 support.

 -- Michael Hasselmann <michael@taschenorakel.de>  Fri, 14 Oct 2011 03:46:02 +0200

## miniature 0.4.0-2fremantle1

=== debian/changelog ===
miniature (0.4.0-2fremantle1) unstable; urgency=low

  * Merging updates from master branch

 -- Michael Hasselmann <michael@taschenorakel.de>  Mon, 31 Oct 2011 00:40:08 +0100

## miniature 0.4.99%2b0.5rc0fremantle1

=== debian/changelog ===
miniature (0.4.99+0.5rc0fremantle1) lucid; urgency=low

  * Merging updates from master branch for first 0.5 RC 

 -- Michael Hasselmann <michael@taschenorakel.de>  Wed, 02 Nov 2011 15:46:19 +0100

miniature (0.4.99+0.5rc0) unstable; urgency=low

  * Fixes: BMO#12470 - Check mate needs to be parsed and processed in Miniature
  * Fixes: BMO#12426 - Miniature doesn't handle draw requests
  * Fixes: BMO#12351 - Make move confirmation an option or remove it
  * Fixes: BMO#12435 - Miniature should recognize games forfeited on time
  * Fixes: BMO#12408 - Some registered users can't play Miniature as white
  * Fixes: BMO#12359 - Miniature FICS user must fill id & password every time
  * Fixes: BMO#12394 - Miniature should set autoflag 1 automatically
  * Fixes: BMO#12464 - Seeks of players with <1000 points are not listed
  * Fixes: BMO#12420 - Miniature crashes on closing the application from recents view
  * Fixes: BMO#12377 - [TASK] Don't hardcode chessboard colors in backend
  * Fixes: BMO#12390 - Make last turn visible

 -- Michael Hasselmann <michael@taschenorakel.de>  Wed, 02 Nov 2011 11:54:41 +0100

## miniature 0.4.99%2b0.5rc0fremantle2

=== debian/changelog ===
miniature (0.4.99+0.5rc0fremantle2) unstable; urgency=low

  * Merging updates from master branch for first 0.5 RC 

 -- Michael Hasselmann <michael@taschenorakel.de>  Wed, 02 Nov 2011 15:46:19 +0100

## miniature 0.5.0-1

=== debian/changelog ===
miniature (0.5.0-1) unstable; urgency=low

  * Release 0.5.0 "London 1851" for Harmattan

 -- Michael Hasselmann <michael@taschenorakel.de>  Fri, 04 Nov 2011 17:16:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	qmake PREFIX=/usr CONFIG+=enable-gui $(QMAKE_OPTIONS)
+	qmake PREFIX=/opt CONFIG+=enable-gui $(QMAKE_OPTIONS)
 
 	touch configure-stamp
